aboutsummaryrefslogtreecommitdiffhomepage
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorlemon <lsof@mailbox.org>2025-12-24 13:04:38 +0100
committerlemon <lsof@mailbox.org>2025-12-24 13:04:38 +0100
commit775ff9ce7b45c22cfba6918c13359bf89461b3e1 (patch)
tree2ea440b503c5a9dfdfffcd4ccb66bdc995ba7f5a /bootstrap.sh
parent99bf55db5009949fbb5348a6287a03409e7ecb74 (diff)
ir: arena-backed linked list for uselists
Is much simpler than the growable buffers, seems to be just as efficient if not a little faster when benchmarked.
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index a65824e..1761ac5 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -7,10 +7,14 @@ test -n "$cc" || cc=cc
opt="$O"
test -n "$opt" || opt=
-cflags="-std=c11"
+cflags=$CFLAGS
+test -n "$cflags" || : ${cflags:="-std=c11"}
+if test -n "$V"; then
+ opt="$opt -v"
+fi
src=$(grep -o '\([_A-Za-z0-9/]\)\+\.c' < Makefile)
X() {
- echo "> $@" | ([ x"$V" == x1 ] && cat || sed -s 's/\([^ ]\+\.c \?\)\{10\}$/.../')
+ echo "> $@" | (test -n "$V" && cat || sed -s 's/\([^ ]\+\.c \?\)\{10\}$/.../')
$@
}
echo "== Stage 0 (compiling with $cc) =="